ros-jazzy-rqt-topic (1.7.3-1noble) noble; urgency=high

  * Override subscriber qos (backport #51 <https://github.com/ros-visualization/rqt_topic/issues/51>) (#54 <https://github.com/ros-visualization/rqt_topic/issues/54>)
  * Remove CODEOWNERS (backport #52 <https://github.com/ros-visualization/rqt_topic/issues/52>) (#53 <https://github.com/ros-visualization/rqt_topic/issues/53>)
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 08 Dec 2024 23:00:00 -0000

ros-jazzy-rqt-topic (1.7.2-1noble) noble; urgency=high

  * Small fix for modern flake8. (#50 <https://github.com/ros-visualization/rqt_topic/issues/50>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-rqt-topic (1.7.1-1noble) noble; urgency=high

  * Add explicit python3-pytest dependency. (#48 <https://github.com/ros-visualization/rqt_topic/issues/48>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-jazzy-rqt-topic (1.7.0-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 27 Apr 2023 22:00:00 -0000

ros-jazzy-rqt-topic (1.6.1-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#43 <https://github.com/ros-visualization/rqt_topic/issues/43>)
  * Contributors: Audrow Nash

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-jazzy-rqt-topic (1.6.0-1noble) noble; urgency=high

  * Implement bandwidth monitoring (#40 <https://github.com/ros-visualization/rqt_topic/issues/40>)
  * Contributors: Audrow Nash, Chris Lalancette, Jacob Perron

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-jazzy-rqt-topic (1.3.0-1noble) noble; urgency=high

  * Fix the display of array type elements. (#41 <https://github.com/ros-visualization/rqt_topic/issues/41>)
  * Fix removal of topics while they are being monitored. (#39 <https://github.com/ros-visualization/rqt_topic/issues/39>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 09 May 2022 22:00:00 -0000

ros-jazzy-rqt-topic (1.2.3-1noble) noble; urgency=high

  * Update maintainers to Audrow Nash (#37 <https://github.com/ros-visualization/rqt_topic/issues/37>)
  * Contributors: Audrow Nash

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 05 Apr 2022 22:00:00 -0000

ros-jazzy-rqt-topic (1.2.2-1noble) noble; urgency=high

  * Fix modern setuptools warning about dashes instead of underscores (#34 <https://github.com/ros-visualization/rqt_topic/issues/34>)
  * Remove obsolete warnings (#31 <https://github.com/ros-visualization/rqt_topic/issues/31>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 30 Aug 2021 22:00:00 -0000

ros-jazzy-rqt-topic (1.2.1-1noble) noble; urgency=high

  * Add pytest.ini to silence warnings when running locally.
  * Fix warnings pointed out by flake8.
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-jazzy-rqt-topic (1.2.0-1noble) noble; urgency=high

  * Created an entry-point for rqt_topic in setup.py (#16 <https://github.com/ros-visualization/rqt_topic/issues/16>)
  * Fix flake8 errors and add linter tests (#28 <https://github.com/ros-visualization/rqt_topic/issues/28>)
  * Update Open Robotics Maintainer (#26 <https://github.com/ros-visualization/rqt_topic/issues/26>)
  * Use raw / non-string value for ordering (#23 <https://github.com/ros-visualization/rqt_topic/issues/23>)
  * Support order fields as defined in message (#22 <https://github.com/ros-visualization/rqt_topic/issues/22>)
  * Fix the type cell value for sequence items (#21 <https://github.com/ros-visualization/rqt_topic/issues/21>)
  * Updated version package and license in setup.py (#17 <https://github.com/ros-visualization/rqt_topic/issues/17>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Scott K Logan

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 18 Mar 2021 23:00:00 -0000

ros-jazzy-rqt-topic (1.1.0-1noble) noble; urgency=high

  * set qos_profile (#14 <https://github.com/ros-visualization/rqt_topic/issues/14>)

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000

ros-jazzy-rqt-topic (1.0.0-1noble) noble; urgency=high

  * removing the spinner from the ros2 port (#11 <https://github.com/ros-visualization/rqt_topic/issues/11>)
  * Merge pull request #9 <https://github.com/ros-visualization/rqt_topic/issues/9> from ros-visualization/ros2_port
  * Porting to ROS2
  * autopep8 (#6 <https://github.com/ros-visualization/rqt_topic/issues/6>)

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 04 Mar 2019 23:00:00 -0000

ros-jazzy-rqt-topic (0.4.10-1noble) noble; urgency=high

  * fix order by bandwidth column (#4 <https://github.com/ros-visualization/rqt_topic/issues/4>)

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 15 Nov 2017 23:00:00 -0000

ros-jazzy-rqt-topic (0.4.9-1noble) noble; urgency=high

  * fix section resize toggle with Qt5 (#2 <https://github.com/ros-visualization/rqt_topic/issues/2>)

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 05 Nov 2017 23:00:00 -0000

ros-jazzy-rqt-topic (0.4.8-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 23 Apr 2017 22:00:00 -0000

ros-jazzy-rqt-topic (0.4.7-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 01 Mar 2017 23:00:00 -0000

ros-jazzy-rqt-topic (0.4.6-1noble) noble; urgency=high

  * remove usage of undocumented cStringIO.StringIO len attribute (#434 <https://github.com/ros-visualization/rqt_common_plugins/pull/434>)

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 26 Feb 2017 23:00:00 -0000

ros-jazzy-rqt-topic (0.4.5-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 02 Feb 2017 23:00:00 -0000

ros-jazzy-rqt-topic (0.4.4-1noble) noble; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * catch unhandled exceptions when rosmaster disappears while widget is running (#419 <https://github.com/ros-visualization/rqt_common_plugins/pull/419>)

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 23 Jan 2017 23:00:00 -0000

ros-jazzy-rqt-topic (0.4.3-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 01 Nov 2016 23:00:00 -0000

ros-jazzy-rqt-topic (0.4.2-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 18 Sep 2016 22:00:00 -0000

ros-jazzy-rqt-topic (0.4.1-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 15 May 2016 22:00:00 -0000

ros-jazzy-rqt-topic (0.4.0-1noble) noble; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 26 Apr 2016 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.13-1noble) noble; urgency=high

  * check for divide by zero and data failures
  * Contributors: Aaron Blasdel

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 07 Mar 2016 23:00:00 -0000

ros-jazzy-rqt-topic (0.3.12-1noble) noble; urgency=high

  * Save/Restore of headers added
  * Contributors: Aaron Blasdel

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 23 Jul 2015 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.11-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 29 Apr 2015 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.10-1noble) noble; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 30 Sep 2014 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.9-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 17 Aug 2014 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.8-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 14 Jul 2014 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.7-1noble) noble; urgency=high

  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 10 Jul 2014 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.6-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 01 Jun 2014 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.5-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 06 May 2014 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.4-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 27 Jan 2014 23:00:00 -0000

ros-jazzy-rqt-topic (0.3.3-1noble) noble; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)
  * catch and show exceptions #198 <https://github.com/ros-visualization/rqt_common_plugins/issues/198>

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 07 Jan 2014 23:00:00 -0000

ros-jazzy-rqt-topic (0.3.2-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 13 Oct 2013 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.1-1noble) noble; urgency=high

  * improve rqt_topic initialization time (#62 <https://github.com/ros-visualization/rqt_common_plugins/issues/62>)
  * modified toggling topics to use checkbox instead of context menu (#75 <https://github.com/ros-visualization/rqt_common_plugins/issues/75>)

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 08 Oct 2013 22:00:00 -0000

ros-jazzy-rqt-topic (0.3.0-1noble) noble; urgency=high

  * fix cleaning old data in rqt_topic (fix #74 <https://github.com/ros-visualization/rqt_common_plugins/issues/74>)

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 27 Aug 2013 22:00:00 -0000

ros-jazzy-rqt-topic (0.2.17-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 03 Jul 2013 22:00:00 -0000

ros-jazzy-rqt-topic (0.2.16-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 09 Apr 2013 11:33:00 -0000

ros-jazzy-rqt-topic (0.2.15-1noble) noble; urgency=high

  * Improve API (now either name or msg type are select-able in order to select which topics to monitor).
  * API change to accept a list of the topics that this plugin watches.

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 08 Apr 2013 22:02:00 -0000

ros-jazzy-rqt-topic (0.2.14-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 13 Mar 2013 23:00:00 -0000

ros-jazzy-rqt-topic (0.2.13-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 11 Mar 2013 21:14:00 -0000

ros-jazzy-rqt-topic (0.2.12-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 11 Mar 2013 12:56:00 -0000

ros-jazzy-rqt-topic (0.2.11-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 07 Mar 2013 23:00:00 -0000

ros-jazzy-rqt-topic (0.2.10-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 21 Jan 2013 23:00:00 -0000

ros-jazzy-rqt-topic (0.2.9-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 16 Jan 2013 23:00:00 -0000

ros-jazzy-rqt-topic (0.2.8-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 10 Jan 2013 23:00:00 -0000

ros-jazzy-rqt-topic (0.2.7-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 23 Dec 2012 23:00:00 -0000

ros-jazzy-rqt-topic (0.2.6-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sat, 22 Dec 2012 23:00:00 -0000

ros-jazzy-rqt-topic (0.2.5-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Fri, 21 Dec 2012 18:11:00 -0000

ros-jazzy-rqt-topic (0.2.4-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Fri, 21 Dec 2012 00:13:00 -0000

ros-jazzy-rqt-topic (0.2.3-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 20 Dec 2012 23:24:00 -0000

ros-jazzy-rqt-topic (0.2.2-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 20 Dec 2012 17:29:00 -0000

ros-jazzy-rqt-topic (0.2.1-1noble) noble; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 20 Dec 2012 16:47:00 -0000

ros-jazzy-rqt-topic (0.2.0-1noble) noble; urgency=high

  * first release of this package into groovy

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 20 Dec 2012 16:39:00 -0000


